import java.text.MessageFormat;
import java.util.Date;

public class MessageFormatDemo
{
  public static void main( String[] args )
  {
    Object[] arguments = {
      new Date(),
      "die Antwort auf alle Fragen",
      42                                     // Integer object
    };

    String result = MessageFormat.format(
      "Am {0,date} um {0,time} ist {1} wie immer {2,number,integer}.",
      arguments );

    System.out.println( result );
  }
}

